ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Helix creation - start point problem

1 REPLY 1
SOLVED
Reply
Message 1 of 2
andre_adc-dao
277 Views, 1 Reply

Helix creation - start point problem

Hi everybody,

 

I'm trying to create an helix using ObjectARX and I have a problem with startpoint. It's always at 0,0,0. Here's my code:

AcGePoint3d centerPoint2(50, 50, 50);
AcDbHelix* pHelix = new AcDbHelix();
pHelix->setDatabaseDefaults();
pHelix->setConstrain(AcDbHelix::ConstrainType::kTurns);
pHelix->setStartPoint(centerPoint2);
pHelix->setBaseRadius(20);
pHelix->setTopRadius(20);
pHelix->setTurns(20);
pHelix->setHeight(500);
pHelix->createHelix();

 

What am I doing wrong?

 

Thank you,

André

1 REPLY 1
Message 2 of 2

Sorry again, I found it. I have to set the axis point not the start point.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

AutoCAD Inside the Factory


Autodesk Design & Make Report